%define debug_package %{nil}

%define majver 2
%define minver 1.3.0

Name:           radare
Version:        %{majver}.%{minver}
Release:        1%{?dist}
License:        LGPL-3.0
Source:		http://radare.nopcode.org/get/%{name}%{majver}-%{minver}.tar.gz
Source1:	capstone-3.0.4.tar.gz
Group:          Development/Tools/Debuggers
Url:            http://www.radare.org
Summary:        Reverse Engineering Framework
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  openssl-devel
BuildRequires:  gmp-devel
BuildRequires:  lua-devel
BuildRequires:  libewf-devel
BuildRequires:  libzip-devel
%if 0%{?rhel} != 5
BuildRequires:  file-devel
%else
BuildRequires:  file
%endif
BuildRequires:  swig

%description
Opensource tools to disasm, debug, analyze and manipulate binary files.

%package devel
Requires: radare
Summary: Devel files for radare
License: LGPL-3.0
Group:          Development/Tools/Debuggers
%description devel
Development files for radare


%prep
%setup -q -n %{name}%{majver}-%{minver}

%build
export CFLAGS="%{optflags}"
%configure --with-openssl --with-sysmagic
cd shlr; mv capstone capstone-original; tar zxf %{SOURCE1}; cd ..
make %{_smp_mflags}

%install
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files devel
%defattr(-,root,root)
%dir %{_includedir}/libr
%{_includedir}/libr/*
%{_libdir}/pkgconfig/*.pc

%files
%defattr(-,root,root)
%{_bindir}/*
%{_docdir}/*
%{_libdir}/*
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_datadir}/%{name}%{majver}/last
%{_datadir}/%{name}%{majver}/%{minver}/cons
%{_datadir}/%{name}%{majver}/%{minver}/fcnsign
%{_datadir}/%{name}%{majver}/%{minver}/format
%{_datadir}/%{name}%{majver}/%{minver}/hud
%{_datadir}/%{name}%{majver}/%{minver}/magic
%{_datadir}/%{name}%{majver}/%{minver}/opcodes
%{_datadir}/%{name}%{majver}/%{minver}/syscall
%{_datadir}/%{name}%{majver}/%{minver}/www

%doc AUTHORS.md COPYING DEVELOPERS.md README.md CONTRIBUTING.md COPYING.LESSER

%changelog
* Mon Mar 13 2017 vcizek@suse.com - 1.3.0-1
* Release 1.3.0-1
	Version from 2017-03-13

* Wed Jul  6 2016 vcizek@suse.com - 0.10.4
* Release 0.10.4

* Fri Jun  5 2015 vcizek@suse.com - 0.9.9
* Release 0.9.9

* Fri Mar  2 2012 vcizek@suse.com
- update to 2.0.9
  * fixed build
  * dropped radare-lua.patch
* Sun Nov  7 2010 prusnak@opensuse.org
- created package (v2.0.6)
